test-framework-0.8.2.2: Framework for running and organising tests, with HUnit and QuickCheck support

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Framework.Seed

Synopsis

- data Seed
  - = FixedSeed Int
  - | RandomSeed
- newSeededStdGen :: Seed -> IO (StdGen, Int)
- newStdGenWithKnownSeed :: IO (StdGen, Int)

# Documentation

data Seed Source #

Constructors

FixedSeed Int |
RandomSeed |

#### Instances

Instances details

Read Seed Source # |
Instance details Defined in Test.Framework.Seed Methods readsPrec :: Int -> ReadS Seed Source # readList :: ReadS [Seed] Source # readPrec :: ReadPrec Seed Source # readListPrec :: ReadPrec [Seed] Source #
Show Seed Source # |
Instance details Defined in Test.Framework.Seed Methods showsPrec :: Int -> Seed -> ShowS Source # show :: Seed -> String Source # showList :: [Seed] -> ShowS Source #

newSeededStdGen :: Seed -> IO (StdGen, Int) Source #

Given a `Seed`, returns a new random number generator based on that seed and the actual numeric seed that was used to build that generator, so it can be recreated.

newStdGenWithKnownSeed :: IO (StdGen, Int) Source #